@echo off
reg EXPORT "HKCU\Software\NVIDIA Corporation\Logging" LoggingUser.reg
reg DELETE "HKCU\Software\NVIDIA Corporation\Logging" /f

reg EXPORT "HKLM\Software\NVIDIA Corporation\Logging" Logging.reg
reg DELETE "HKLM\Software\NVIDIA Corporation\Logging" /f

reg DELETE "HKLM\Software\NVIDIA Corporation\TestRegistryKey" /f
reg IMPORT LoggingTest.reg
set COVFILE=..\..\LoggingTest.cov

set ARCH=Win32
if /i [%1]==["x64"] set ARCH=x64

echo Testing Release_Unicode %ARCH%...
.\%ARCH%\Release_Unicode\bin\LoggingTest.exe
echo Testing Release %ARCH%...
.\%ARCH%\Release\bin\LoggingTest.exe
echo Testing Debug_Unicode %ARCH%...
.\%ARCH%\Debug_Unicode\bin\LoggingTest.exe
echo Testing Debug %ARCH%...
.\%ARCH%\Debug\bin\LoggingTest.exe

reg DELETE "HKLM\Software\NVIDIA Corporation\Logging" /f
reg DELETE "HKLM\Software\NVIDIA Corporation\TestRegistryKey" /f

reg IMPORT LoggingUser.reg
reg IMPORT Logging.reg

